package com.fdkankan.common.constant;

/**
 * 全景图加载方式
 */
public enum SceneSyncType {

    AJK("ajk", "安居客"),
    ;

    private String code;
    private String message;

    SceneSyncType(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String code() {
        return code;
    }

    public String message() {
        return message;
    }

    public static SceneSyncType get(String code){
        SceneSyncType[] values = SceneSyncType.values();
        String enumValue = null;
        for(SceneSyncType eachValue : values){
            enumValue = eachValue.code();
            if(enumValue.equals(code)){
                return eachValue;
            }
        }
        return null;
    }

}
